#
View Source Ash.Notifier behaviour (ash v2.14.2)

A notifier is an extension that receives various events

# Link to this section Summary

## Callbacks

notify(t)

## Functions

notify(resource_notifications)

Sends any notifications that can be sent, and returns the rest.

# Link to this section Callbacks

Link to this callback

# notify(t)

View Source

    @callback notify(Ash.Notifier.Notification.t()) :: :ok

# Link to this section Functions

Link to this function

# notify(resource_notifications)

View Source

    @spec notify([Ash.Notifier.Notification.t()] | Ash.Notifier.Notification.t()) :: [
      Ash.Notifier.Notification.t()
    ]

Sends any notifications that can be sent, and returns the rest.

A notification can only be sent if you are not currently in a transaction for the resource in question.